/*
	TestApp.cpp
	
	Tests resource editor plugins
*/



#include "myApp.h"
#include "myWindow.h"


CApp::CApp() : BApplication( 'NATE' )
{
	app_info info;
	
	if( B_NO_ERROR == GetAppInfo( &info ) )
	{
		BResourceFile rsrcFile( info.ref );
		if( B_NO_ERROR == rsrcFile.Open( B_READ_ONLY ) )
		{
			long rsrcID, rsrcLen;
			char *rsrcName, *rsrcData;
			
			long index = 0;
			while( rsrcFile.GetResourceInfo( 'WIND', index++, &rsrcID, &rsrcName, &rsrcLen ) )
			{
				if( rsrcData = (char *) rsrcFile.FindResource( 'WIND', rsrcID, &rsrcLen ) )
				{
					BRect frame( *(float *) &rsrcData[ 0 ], *(float *) &rsrcData[ 4 ], *(float *) &rsrcData[ 8 ], *(float *) &rsrcData[ 12 ] );	
					window_type type = *(window_type *) &rsrcData[ 16 ];
					long flags = *(long *) &rsrcData[ 20 ];
					long wsFlags = *(long *) &rsrcData[ 24 ];
					const char *pName = (const char *) &rsrcData[ 28 ];
					
					BWindow *pWind = new BWindow( frame, pName, type, flags, wsFlags );
					pWind->Show();
					
					delete rsrcData;
				}
			}		
				
			rsrcFile.Close();
		}
	}

	CWindow *pWin = new CWindow();
	pWin->Show();
}


CApp::~CApp()
{
}



int main()
{
	CApp *pApp = new CApp();
	((BApplication *) pApp)->Run();
	
	delete( pApp );
	return( 0 );
}	